<template>
  <InfiniteLoading scrollViewClassName="common-infinite-scroll-list" v-bind="infiniteLoadingProps">
    <template #renderItem="{ item }">
      <OrderCard title="话费充值" status="待支付" :order-no="item?.orderNo">
        <OrderCardItem label="充值账号:" :value="'18888888888'" />
        <OrderCardItem
          label="下单时间:"
          :value="dayjs(item?.creationTime).format('YYYY-MM-DD HH:mm:ss')"
        />
        <OrderCardItem label="充值金额:" :value="item?.rechargeAmount" />
        <OrderCardItem label="优惠金额:" :value="item?.discountAmount" />
        <OrderCardItem label="实付金额:" :value="item?.payAmount" />
        <OrderCardItem
          label="支付时间:"
          :value="dayjs(item?.payTime).format('YYYY-MM-DD HH:mm:ss')"
        />
        <OrderCardItem
          label="完成时间:"
          :value="dayjs(item?.finishTime).format('YYYY-MM-DD HH:mm:ss')"
        />
      </OrderCard>
    </template>
  </InfiniteLoading>
</template>

<script setup lang="ts">
import InfiniteLoading from '../../../components/InfiniteLoading/InfiniteLoading.vue';
import OrderCard from '../../../components/Card/OrderCard.vue';
import OrderCardItem from '../../../components/Card/OrderCardItem.vue';
import { useGetUserLifePayOrderPage } from '../../../hooks';
import dayjs from 'dayjs';
import { BlLifeRecharge } from '@life-payment/core-vue';

defineOptions({
  name: 'PhoneOrder',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});

const { infiniteLoadingProps } = useGetUserLifePayOrderPage({
  lifePayOrderType: BlLifeRecharge.constants.LifePayOrderTypeEnum.话费订单,
});
</script>
